2004-08-26 Roland McGrath <roland@redhat.com>

* configure.in: New file.  If nptl add-on is also selected, barf if
	explicit and elide ourselves if implicit.
	* configure: Now generated.
This commit is contained in:
Roland McGrath 2004-08-26 21:26:06 +00:00
parent a95a08b4af
commit c312980a4a
2 changed files with 30 additions and 5 deletions

View File

@ -1,6 +1,17 @@
# This is only to keep the GNU C library configure mechanism happy.
# This file is generated from configure.in by Autoconf. DO NOT EDIT!
# LinuxThreads fragment for GNU C library configure mechanism.
# This is a shell script fragment sourced by the main configure script.
# We have nothing we need to add here.
#
# Perhaps some day we will need a real configuration script for different
# kernel versions or so.
for other in $add_ons; do
test $other = nptl || continue
if test $add_ons_automatic = yes; then
echo "$as_me:$LINENO: result: $libc_add_on disabled because $other add-on is also in use" >&5
echo "${ECHO_T}$libc_add_on disabled because $other add-on is also in use" >&6
libc_add_on=
else
{ { echo "$as_me:$LINENO: error: cannot use both $libc_add_on and $other add-ons in one build" >&5
echo "$as_me: error: cannot use both $libc_add_on and $other add-ons in one build" >&2;}
{ (exit 1); exit 1; }; }
fi
done

14
linuxthreads/configure.in Normal file
View File

@ -0,0 +1,14 @@
GLIBC_PROVIDES dnl See top-level configure.in.
# LinuxThreads fragment for GNU C library configure mechanism.
# This is a shell script fragment sourced by the main configure script.
for other in $add_ons; do
test $other = nptl || continue
if test $add_ons_automatic = yes; then
AC_MSG_RESULT($libc_add_on disabled because $other add-on is also in use)
libc_add_on=
else
AC_MSG_ERROR(cannot use both $libc_add_on and $other add-ons in one build)
fi
done